import BaseButton from '/src/components/buttons/BaseButton';

export default {
    title: 'BaseButton',
    component: BaseButton,
};


const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { BaseButton },
    template: `<div style="width: 300px; margin:0 auto;">
        <BaseButton
            :text="text"
            :icon="icon"
            :size="size"
            :disabled="disabled"
        />
    </div>`,
});

export const BaseButtonStandard = Template.bind({});
BaseButtonStandard.args = {
    text:"Add to cart",
    icon:"Purchase",
    size:"large",
    disabled: true
};