import Breadcrumbs from '/src/components/structure/breadcrumbs/Breadcrumbs';

export default {
    title: 'Breadcrumbs',
    component: Breadcrumbs,
};

let data = {
    crumbs: ['Men Clothing', 'Men Bottoms ','Hiking Pants & Shorts']
}

const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { Breadcrumbs },
    template: `<div style="width: 600px; margin:0 auto;">
        <Breadcrumbs
            :crumbs="crumbs" 
        />
    </div>`,
});

export const BreadcrumbsStandar = Template.bind({});
BreadcrumbsStandar.args = {
    crumbs: data.crumbs
};