import Notification from '/src/components/feedback/Notification';

export default {
    title: 'Notification',
    component: Notification,
};

const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { Notification },
    template: `<div style="width: 300px; margin:0 auto;">
        <Notification
            :icon="icon"
            :productNameText="productNameText "
            :midText="midText "
            :linkText="linkText"
        />
    </div>`,
});

export const NotificationStandard = Template.bind({});
NotificationStandard.args = {
    icon:"HeartEmpty",
    productNameText:"Wave Sky 4 Waveknit Running Shoes - Men's ",
    midText:"saved to ",
    linkText:"your wishlist",
};